/*=======================================================*/
/*  TVWAREAD.C                                           */
/*                                                       */
/*  (c) Copyright 1988 Ralf Brown  All Rights Reserved   */
/*  May be freely copied for noncommercial use, so long  */
/*  as this copyright notice remains intact, and any     */
/*  changes are marked in the comment blocks preceding   */
/*  functions.                                           */
/*=======================================================*/

#include "tvapi.h"
#include "tvstream.h"

/*=======================================================*/
/* TVwin_atread  set whether reads on the window return  */
/*               chars or attributes                     */
/*   Ralf Brown 6/10/88                                  */
/*=======================================================*/

void pascal TVwin_atread(OBJECT win,int read_attr)
{
   static BYTE attr_stream[] = { S_WINDOW(1), WS_READATTR } ;
   static BYTE char_stream[] = { S_WINDOW(1), WS_READCHAR } ;

   TVwin_stream(win, read_attr?attr_stream:char_stream) ;
}

/* End of TVWAREAD.C */
